# Interface Signature.TypeVarSig

All Superinterfaces:
  `Signature, Signature.RefTypeSig, Signature.ThrowableSig`

Enclosing interface:
  `Signature`

public static sealed interface Signature.TypeVarSig extends Signature.RefTypeSig, Signature.ThrowableSig
Models the signature of a type variable. A type variable is introduced by a type parameter declaration.

See Java Language Specification:
  4.4 Type Variables
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24
See Also:
  - `TypeVariable`
  - `Signature.TypeParam`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Signature

  `Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `identifier()`
  Returns the name of the type variable.
  `static Signature.TypeVarSig`
  `of(String identifier)`
  Returns a signature for a type variable.

  ### Methods declared in interface Signature

  `signatureString`

- ## Method Details

  - ### identifier

    String identifier()
    Returns the name of the type variable.
    Returns:
      the name of the type variable

  - ### of

    static Signature.TypeVarSig of(String identifier)
    Returns a signature for a type variable.
    Parameters:
      `identifier` - the name of the type variable
    Returns:
      a signature for a type variable